org.apache.solr.client.solrj.request

## Class RequestWriter.StringPayloadContentWriter

- java.lang.Object
- - org.apache.solr.client.solrj.request.RequestWriter.StringPayloadContentWriter

All Implemented Interfaces:
  RequestWriter.ContentWriter

Enclosing class:
  RequestWriter

    public static class RequestWriter.StringPayloadContentWriter
    extends Object
    implements RequestWriter.ContentWriter

### Field Summary

Fields
`String` `payload`
`String` `type`

### Constructor Summary

Constructors
Constructor and Description
`StringPayloadContentWriter(String payload, String type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getContentType()`
`void` `write(OutputStream os)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### payload

    public final String payload

#### type

    public final String type

### Constructor Detail

#### StringPayloadContentWriter

    public StringPayloadContentWriter(String payload,
                                      String type)

### Method Detail

#### write

    public void write(OutputStream os)
               throws IOException

Specified by:
  `write` in interface `RequestWriter.ContentWriter`
Throws:
  `IOException`

#### getContentType

    public String getContentType()

Specified by:
  `getContentType` in interface `RequestWriter.ContentWriter`